--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Given a background colour and a foreground colour, modifies the foreground colour so that it will have enough contrast to be seen against the background colour.
- !ruby/struct:SM::Flow::P 
  body: "Uses #mininum_brightness_diff and #minimum_color_diff."
full_name: Color::Palette::MonoContrast#calculate_foreground
is_singleton: false
name: calculate_foreground
params: (background, foreground)
visibility: public
